<?php
/**
 * Created by PhpStorm.
 * User: gustavolima
 * Date: 25/11/2015
 * Time: 14:30
 */

namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use \Zeedhi\Framework\DTO\Response\Message;
use Teknisa\CRM\Service\AlterarSenha;

class AlterarSenhaController extends TeknisaCrud {

    public function __construct($crudService, $parameterBag, AlterarSenha $serviceAlterarSenha){
        parent::__construct($crudService, $parameterBag);
        $this->serviceAlterarSenha = $serviceAlterarSenha;
    }

    public function alterarSenhaOper(Row $row, Response $response){
        $getRow = $row->getRow();

        $msg = $this->serviceAlterarSenha->alterarSenhaOper($getRow['newpass']['old_password'], $getRow['newpass']['new_password'], $getRow['newpass']['CDOPERADOR'], $getRow['newpass']['NRORG']);
        $response->addMessage(new Message($msg[0]));
        $response->addMessage(new Message($msg[1]));
    }
}