function RelatorioAuditoriaController(General, templateManager, CRM_Utilities) {

    this.widgetOnEnterOnce = function(widget, fieldsToApply) {
        var filterRow = {};
        CRM_Utilities.openFilterOnEnter(widget, filterRow, fieldsToApply);
    };

    this.DOMListToArray = function(list){
        var array = [];
        
        for(var i = 0; i<list.length; i++)
            array.push(list[i]);
            
        return array;
    };
    
    this.setIcon = function(row, element){
        var zeedhiField = element.owner;
        var jqueryField = $(element[0]);
        var classList = jqueryField[0].classList;
        var missing = 'N';
        var check   = 'S';
        
        classList = this.DOMListToArray(classList);
        
        if(row[zeedhiField.name] === missing && classList.indexOf('Missing') === -1){
            jqueryField.addClass('Missing');
            jqueryField.removeClass('Check');
        }else if(row[zeedhiField.name] === check){
            jqueryField.addClass('Check');
            jqueryField.removeClass('Missing');
        }
    };
    
    this.buildFilterFieldsAuditoria = function(widget){
        var valueToNotNull = "%Possui%";
        var valueToNull    = "%Não Possui%";
        var filter = widget.dataSourceFilter;    
        var auditoriaFields = widget.fields.map(function(field){
            if(field.fieldGroup && field.fieldGroup === "GERAL")
                return field.name;
        }).filter(function(name) {
            return typeof name !== 'undefined';
        });
        
        var value;
        filter.forEach(function(filter){
            if(auditoriaFields.indexOf(filter.name) > -1){
                value = filter.value;
                if(value === valueToNotNull){
                    filter.operator = "=";
                    filter.value = 'S';
                }else if(value === valueToNull){
                    filter.operator = "=";
                    filter.value = 'N';
                }
            }    
        });
    };
    
}
Configuration(function(ContextRegister) {
    ContextRegister.register('RelatorioAuditoriaController', RelatorioAuditoriaController);
});