/**
 * Created by gustavolima on 25/11/2015.
 */
function AlterarSenhaController(templateManager,ScreenService,restEngine,Operador_Repository) {

    this.mostrarSenha = function()
    {
        var widget = templateManager.container.getActiveWidget();
        if(widget.currentRow.viewPass == 'SIM')
        {
            widget.fields[0].template = 'field\/text-edit.html';
            widget.fields[1].template = 'field\/text-edit.html';
            widget.fields[2].template = 'field\/text-edit.html';

        }else{
            widget.fields[0].template = 'field\/password-edit.html';
            widget.fields[1].template = 'field\/password-edit.html';
            widget.fields[2].template = 'field\/password-edit.html';
        }
        widget.fields[0].reload();
        widget.fields[1].reload();
        widget.fields[2].reload();
    };

    this.alteraSenha = function()
    {
        Operador_Repository.retornaOperadorLogado().then(function(operator)
        {
            if(operator[0] === undefined || operator[0] === null)
            {
                ScreenService.showMessage("Erro ao realizar a operação.");
                return;
            }

            var newPass = templateManager.container.getActiveWidget().currentRow;

            newPass.CDOPERADOR = operator[0].CDOPERADOR;
            newPass.NRORG = operator[0].NRORG;
            newPass.DSEMAILOPER = operator[0].DSEMAILOPER;

            if(templateManager.container.getActiveWidget().isValid() === false)
                ScreenService.showMessage("Campos obrigatórios não foram preenchidos",'ERROR');
            else{
                if(newPass.confirm_new_password == newPass.new_password)
                {
                    restEngine.post('crm#/login\/alteraSenha', {
                            "requestType": "Row",
                            "row": {"newpass":newPass}
                        }
                    ).then(function (data){
                            if(data.messages[1].message == "0")
                            {
                                ScreenService.openWindow('dashboard');
                            }
                            ScreenService.showMessage(data.messages[0].message);
                        }
                    );
                }
                else
                {
                    if(newPass.new_password == newPass.old_password)
                        ScreenService.showMessage("A nova senha deve ser diferente da antiga.");
                    else
                        ScreenService.showMessage("As senhas não conferem.");
                }
            }
        }, function(error)
        {
            ScreenService.showMessage("Erro ao realizar a operação.");
        });
    };

}


Configuration(function(ContextRegister) {
    ContextRegister.register('AlterarSenhaController', AlterarSenhaController);
});